很多软件装不了,说Wrong architecture 'i386'怎么办?

重复贴和参考价值不大的帖子,版主维护
回复
boomboom_vicky
帖子: 7
注册时间: 2009-01-26 1:32
送出感谢: 0
接收感谢: 0

很多软件装不了,说Wrong architecture 'i386'怎么办?

#1

帖子 boomboom_vicky » 2009-01-26 3:29

刚刚开始用Linux,觉得比vista快很多

不过装不上Skype 也装不上 Flash player 什么的,
都说Wrong architecture 'i386'
我按网上说的从终端里装,他说我少两个东西,一个是 libqt4-core, 还有一个是什么不记得了

这个问题怎么解决啊 ?

谢谢大家!!
头像
topbluecat
帖子: 411
注册时间: 2008-03-27 21:56
送出感谢: 0
接收感谢: 0
联系:

Re: 很多软件装不了,说Wrong architecture 'i386'怎么办?

#2

帖子 topbluecat » 2009-01-26 10:11

你装的是64位版的Ubuntu,当然默认情况下装不上32位软件。
Flash Player 10有64位版的,在论坛内能找到。Skype可以在命令行下输入: dpkg -i --force-architecture (你要安装的.deb的文件名)
头像
jimhu
帖子: 1322
注册时间: 2006-01-25 22:29
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

Re: 很多软件装不了,说Wrong architecture 'i386'怎么办?

#3

帖子 jimhu » 2009-01-26 14:10

在论坛搜索ai32
* MACBOOK MB063CH/B
OS:Snow Leopard/XP
* AMD X2 3600+/2G RAM/160GB+500GB Seagate/7300GT
OS:Arch/Vista

Kubuntu User #18899

=================================
Full Circle中文杂志 | Ubuntu社区独立发行的电子月刊
http://www.freeearth.org.cn
boomboom_vicky
帖子: 7
注册时间: 2009-01-26 1:32
送出感谢: 0
接收感谢: 0

Re: 很多软件装不了,说Wrong architecture 'i386'怎么办?

#4

帖子 boomboom_vicky » 2009-01-26 16:20

我用了dpkg -i --force-architecture skype-debian_2.0.0.72-1_i386.deb
他跟我说需要‘超级用户权限’是怎么回事阿?
yyu0378
帖子: 208
注册时间: 2008-03-24 19:06
送出感谢: 0
接收感谢: 1 次

Re: 很多软件装不了,说Wrong architecture 'i386'怎么办?

#5

帖子 yyu0378 » 2009-01-26 17:32

sudo dpkg -i --force-architecture skype-debian_2.0.0.72-1_i386.deb然后输入密码就可以了
头像
topbluecat
帖子: 411
注册时间: 2008-03-27 21:56
送出感谢: 0
接收感谢: 0
联系:

Re: 很多软件装不了,说Wrong architecture 'i386'怎么办?

#6

帖子 topbluecat » 2009-01-26 19:23

3楼,是ia32
头像
jimhu
帖子: 1322
注册时间: 2006-01-25 22:29
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

Re: 很多软件装不了,说Wrong architecture 'i386'怎么办?

#7

帖子 jimhu » 2009-01-27 14:00

topbluecat 写了:3楼,是ia32
So Sorry,误人子弟了。
* MACBOOK MB063CH/B
OS:Snow Leopard/XP
* AMD X2 3600+/2G RAM/160GB+500GB Seagate/7300GT
OS:Arch/Vista

Kubuntu User #18899

=================================
Full Circle中文杂志 | Ubuntu社区独立发行的电子月刊
http://www.freeearth.org.cn
回复

回到 “归档贴”